<div>
<div># telegram_server_monitoring</div>
<br />
<div>Dieser Telegram Bot wurde entwickelt, um die &Uuml;berwachung von Servern zu erleichtern und Benutzern regelm&auml;&szlig;ige Statusaktualisierungen zu liefern. Der Bot erm&ouml;glicht es den Benutzern, Server hinzuzuf&uuml;gen, zu l&ouml;schen und den aktuellen Status sowie detaillierte Informationen zu ihren konfigurierten Servern abzurufen.</div>
<br />
<div>Funktionen:</div>
<br />
<div>Serververwaltung: Benutzer k&ouml;nnen neue Server hinzuf&uuml;gen (/add_server) und bestehende Server l&ouml;schen (/delete_server).</div>
<div>Statusaktualisierung: Mit dem Befehl /status k&ouml;nnen Benutzer den aktuellen Status aller konfigurierten Server abrufen. Der Bot &uuml;berpr&uuml;ft automatisch in regelm&auml;&szlig;igen Intervallen den Status der Server und sendet eine Benachrichtigung, wenn ein Server offline ist.</div>
<div>Serverdetails: Benutzer k&ouml;nnen detaillierte Informationen zu einem bestimmten Server abrufen, einschlie&szlig;lich Uptime, CPU-Auslastung, RAM-Auslastung und Netzwerkverkehr (Details).</div>
<div>Hilfe: Mit dem Befehl /help k&ouml;nnen Benutzer eine Liste aller verf&uuml;gbaren Befehle anzeigen.</div>
<div>Verwendung:</div>
<br />
<div>Starte den Bot mit dem Befehl /start. Der Bot sendet eine Begr&uuml;&szlig;ungsnachricht und gibt Hinweise zur Verwendung.</div>
<div>F&uuml;ge Server hinzu mit /add_server. Der Bot f&uuml;hrt dich durch den Prozess, um den Servernamen und die IP-Adresse einzugeben.</div>
<div>&Uuml;berpr&uuml;fe den Status aller konfigurierten Server mit /status.</div>
<div>Erhalte detaillierte Informationen zu einem Server mit Details.</div>
<div>L&ouml;sche einen konfigurierten Server mit /delete_server.</div>
<div>Automatische Status&uuml;berwachung:</div>
<div>Der Bot &uuml;berpr&uuml;ft alle konfigurierten Server automatisch alle 30 Sekunden auf ihren Status und benachrichtigt die Benutzer, wenn ein Server offline ist.</div>
<br />
<div>Befehle zum Installieren und Bot Statusaktualisierungen</div>
<br /><br /><br />
<div>Installations Script:</div>
<br />
<div>(./setup.sh)</div>
<br /><br />
<div>Einzelinstallation der Komponenten:</div>
<br />
<div>sudo npm install</div>
<div>sudo npm install -g ping</div>
<div>sudo npm install -g node-telegram-bot-api</div>
<div>sudo npm install -g js-yaml</div>
<div>sudo npm install -g moment</div>
<div>sudo npm install -g yml</div>
<div>sudo npm install -g dotenv</div>
<div>sudo npm install -g fs</div>
<div>sudo npm install -g request</div>
<br /><br />
<div>Bot Start:</div>
<div>(./start_bot.sh)</div>
</div>
<br />
<div>Bot Stop:</div>
<div>(pm2 stop server_monitor_bot)</div>
</div>
<br />
<div>Bot Status:</div>
<div>(pm2 status)</div>
</div>
<br />
<br />